## lua-unit 3.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/LuaUnit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/LuaUnit.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/LuaUnit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/LuaUnit"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== junitxml/Makefile ===
#
# junitxml/Makefile
#

XMLLINT ?= xmllint
TEST_APACHE  = --noout --schema junit-apache-ant.xsd
TEST_JENKINS = --noout --schema junit-jenkins.xsd

validate-examples: validate-apache validate-jenkins

# This example file is the only one that satisfies the Apache schema
validate-apache: example-apache-ant.xml
	$(XMLLINT) $(TEST_APACHE) $<

# The Jenkins schema is more relaxed, and should apply to all .xml files
validate-jenkins: $(wildcard *.xml)
	for file in $^; do $(XMLLINT) $(TEST_JENKINS) $$file || exit 1; done

## lua-unit 1.5

=== debian/changelog ===
lua-unit (1.5-1~bpo70+1+0~1368443066.26+wheezy~1.gbp3157e2) UNRELEASED; urgency=low

  ** SNAPSHOT build @3157e2271c492621a0159dde390312aaad6bfbc2 **

  [ Victor Seva ]
  * Added Added-assertIs-and-assertNotIs
  * Fix last commit. Add more upstream patches

  [ Jenkins Sipwise ]

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 13 May 2013 13:04:26 +0200

lua-unit (1.5-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Victor Seva <vseva@sipwise.com>  Mon, 13 May 2013 11:12:35 +0200

lua-unit (1.5-1) unstable; urgency=low

  * Initial release. (Closes: #703166)
  * Added debian/patches:
    - add more assert functions
  * Used depends dh >= 16~. Let's be nice with backports

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 07 Mar 2013 20:18:14 +0100

=== debian/control ===
Source: lua-unit
Section: interpreters
Priority: optional
Maintainer: Victor Seva <linuxmaniac@torreviejawireless.org>
Build-Depends: debhelper (>= 8), dh-lua (>= 16~)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-lua/lua-unit.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-unit.git
Homepage: http://phil.freehackers.org/programs/luaunit/

Package: lua-unit
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Lua unit testing framework
 Luaunit is a unit-testing framework for Lua, in the spirit of many
 others unit-testing framework. Luaunit let's you write test functions,
 test classes with test methods and setup/teardown functionality.
 .
 Luaunit can output test failures using the TAP format, for easier
 integration into Continuous Integration platforms like Jenkins.

Package: lua-unit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: lua-unit (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Lua unit testing framework development files
 Luaunit is a unit-testing framework for Lua, in the spirit of many
 others unit-testing framework. Luaunit let's you write test functions,
 test classes with test methods and setup/teardown functionality.
 .
 Luaunit can output test failures using the TAP format, for easier
 integration into Continuous Integration platforms like Jenkins.
 .
 This package contains use examples.

## lua-unit 1.5+gita58da93

=== debian/changelog ===
lua-unit (1.5+gita58da93-2) unstable; urgency=low

  * Just build lua-unit and put in it the two available examples 
  * Fix typo in copyright 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 02 Jul 2013 11:26:16 +0200

lua-unit (1.5+gita58da93-1) unstable; urgency=low

  * Initial release. (Closes: #703166)
  * Used depends dh >= 16~. Let's be nice with backports

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Wed, 22 May 2013 18:13:57 +0200

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/linuxmaniac/luaunit/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## lua-unit 3.0

=== debian/changelog ===
lua-unit (3.0-1) unstable; urgency=medium

  * New upstream version

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 09 Oct 2014 10:27:35 +0200

=== debian/control ===
Source: lua-unit
Section: interpreters
Priority: optional
Maintainer: Victor Seva <linuxmaniac@torreviejawireless.org>
Uploaders: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8), dh-lua (>= 16~)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-lua/lua-unit.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-unit.git
Homepage: http://phil.freehackers.org/programs/luaunit/

Package: lua-unit
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Lua unit testing framework
 Luaunit is a unit-testing framework for Lua, in the spirit of many
 others unit-testing framework. Luaunit let's you write test functions,
 test classes with test methods and setup/teardown functionality.
 .
 Luaunit can output test failures using the TAP format, for easier
 integration into Continuous Integration platforms like Jenkins.

## lua-unit 3.1

=== debian/changelog ===
lua-unit (3.1-1) unstable; urgency=medium

  * [a2792de] update Homepage and set Standards-Version to 3.9.6
  * [bb2f072] update watch file orig
  * [42168b5] add debian/gbp.conf
  * [b0c3c74] Imported Upstream version 3.1
  * [83afae1] remove TODO.Debian
  * [e3fecf8] update test file
  * [b115334] fix Vcs links

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 25 May 2015 00:35:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Victor Seva <linuxmaniac@torreviejawireless.org>
 Uploaders: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 8), dh-lua (>= 16~)
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-lua/lua-unit.git
-Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-unit.git
-Homepage: http://phil.freehackers.org/programs/luaunit/
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-lua/lua-unit.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-unit.git
+Homepage: https://github.com/bluebird75/luaunit
 
 Package: lua-unit
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/bluebird75/luaunit/releases .*/luaunit-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## lua-unit 3.2

=== debian/changelog ===
lua-unit (3.2-1) unstable; urgency=medium

  * [4b747d1] filter upstream doc/html
  * [b97125b] remove upstream doc/html
  * [c6707ef] New upstream version 3.2
  * [e605b86] update Standards-Version to 3.9.8
  * [5ffd966] use my DD account. wrap-and-sort -sat
  * [2d4da45] fix invalid-short-name-in-dep5-copyright
  * [ac5bd1e] fix spelling-error-in-description
  * [a2fa290] fix extra-license-file
  * [6a64e3d] provide docs in text format
  * [eccb17f] fix package-uses-deprecated-debhelper-compat-version 8

 -- Victor Seva <vseva@debian.org>  Mon, 21 Nov 2016 15:10:33 +0100

=== debian/control ===
Source: lua-unit
Section: interpreters
Priority: optional
Maintainer: Victor Seva <vseva@debian.org>
Uploaders:
 Enrico Tassi <gareuselesinge@debian.org>,
Build-Depends:
 debhelper (>= 9~),
 dh-lua (>= 16~),
 python-sphinx,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-lua/lua-unit.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-unit.git
Homepage: https://github.com/bluebird75/luaunit

Package: lua-unit
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: Lua unit testing framework
 Luaunit is a unit-testing framework for Lua, in the spirit of many
 others unit-testing framework. Luaunit lets you write test functions,
 test classes with test methods and setup/teardown functionality.
 .
 Luaunit can output test failures using the TAP format, for easier
 integration into Continuous Integration platforms like Jenkins.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -btext doc/ \
		doc/_build/text # text generator

override_dh_auto_install:
	dh_installdocs doc/_build/text/*.txt
	dh_auto_install

## lua-unit 3.3

=== debian/changelog ===
lua-unit (3.3-1) unstable; urgency=medium

  * update d/gdb.conf
  * New upstream version 3.3
  * debhelper compat 10
  * add support for lua5.3
  * update Vcs-* due migration to salsa
  * update Standards-Version to 4.1.4 (no changes needed)
  * fix build-depends-on-python-sphinx-only
  * rules: clean doc/_build
  * tests: use --shuffle
  * add patches to fix build

 -- Victor Seva <vseva@debian.org>  Thu, 21 Jun 2018 13:51:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders:
  Enrico Tassi <gareuselesinge@debian.org>,
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 10~),
  dh-lua (>= 16~),
- python-sphinx,
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-lua/lua-unit.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-unit.git
+ python3-sphinx,
+Standards-Version: 4.1.4
 Homepage: https://github.com/bluebird75/luaunit
+Vcs-Git: https://salsa.debian.org/lua-team/lua-unit.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-unit
 
 Package: lua-unit
 Architecture: all

## lua-unit 3.4

=== debian/changelog ===
lua-unit (3.4-3) unstable; urgency=medium

  * debian/watch: rework upstream change on naming tags
  * remove support for lua5.2
  * set Multi-Arch: foreign
  * update Standards-Version to 4.7.2, no changes needed

 -- Victor Seva <vseva@debian.org>  Fri, 31 Oct 2025 12:11:38 +0100

lua-unit (3.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 09 Dec 2022 10:11:17 +0000

lua-unit (3.4-1) unstable; urgency=medium

  [ Victor Seva ]
  * New upstream version 3.4
  * add support for Lua 5.4
  * remove patches, already applied upstream
  * set maintainer to lua-team (Closes: #995551)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Bump debhelper from old 12 to 13.

 -- Victor Seva <vseva@debian.org>  Wed, 22 Dec 2021 22:44:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: lua-unit
 Section: interpreters
 Priority: optional
-Maintainer: Victor Seva <vseva@debian.org>
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders:
- Enrico Tassi <gareuselesinge@debian.org>,
+ Victor Seva <vseva@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 13),
  dh-lua (>= 16~),
- python3-sphinx,
-Standards-Version: 4.1.4
+Standards-Version: 4.7.2
 Homepage: https://github.com/bluebird75/luaunit
 Vcs-Git: https://salsa.debian.org/lua-team/lua-unit.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-unit
 
 Package: lua-unit
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/luaunit-(\d\S+)\.tar\.gz/luaunit-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/" \
  https://github.com/bluebird75/luaunit/tags .*/LUAUNIT_V(\d\S+)\.tar\.gz
